Bug 1935859 - F35FailsToInstall: graphviz-php
Summary: F35FailsToInstall: graphviz-php
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: graphviz
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-03-05 17:23 UTC by Miro Hrončok
Modified: 2021-03-23 15:29 UTC (History)
3 users (show)

Fixed In Version: graphviz-2.46.1-3.fc35 graphviz-2.47.0-2.eln110
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-08 16:27:04 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-03-05 17:23:37 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (graphviz) Fails To Install in Fedora 35:

can't install graphviz-php:
  - nothing provides php(api) = 20190902-64 needed by graphviz-php-2.46.1-2.fc35.x86_64
  - nothing provides php(zend-abi) = 20190902-64 needed by graphviz-php-2.46.1-2.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Jaroslav Škarvada 2021-03-08 15:14:37 UTC
I guess just rebuild will fix it.

Comment 2 Jaroslav Škarvada 2021-03-08 15:31:40 UTC
Well, it seems there is no PHP-8 support in graphviz at the moment.

Comment 3 Jaroslav Škarvada 2021-03-08 15:37:10 UTC
(In reply to Jaroslav Škarvada from comment #2)
> Well, it seems there is no PHP-8 support in graphviz at the moment.

Actually it's blocked by swig:
https://github.com/swig/swig/issues/1929

Comment 4 Fedora Update System 2021-03-08 16:27:04 UTC
FEDORA-2021-b0c946a4ec has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-03-23 15:29:45 UTC
FEDORA-2021-d4b021a99b has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.